SalesOS.

Deal Rooms

Collaborative digital sales rooms

Deal Rooms Controller_find All

GET
/v1/deal-rooms

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/deal-rooms" \
  -H "Authorization: Bearer <token>"

Deal Rooms Controller_create

POST
/v1/deal-rooms

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/deal-rooms" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Deal Rooms Controller_find One

GET
/v1/deal-rooms/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/deal-rooms/<string>" \
  -H "Authorization: Bearer <token>"

Deal Rooms Controller_update

PATCH
/v1/deal-rooms/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X PATCH "https://api.salesos.org/v1/deal-rooms/<string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Deal Rooms Controller_remove

DELETE
/v1/deal-rooms/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/deal-rooms/<string>" \
  -H "Authorization: Bearer <token>"

Deal Rooms Controller_add Action Item

POST
/v1/deal-rooms/{id}/action-items

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/deal-rooms/<string>/action-items" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Deal Rooms Controller_update Action Item

PATCH
/v1/deal-rooms/{id}/action-items/{itemId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
itemIdRequiredstring
curl -X PATCH "https://api.salesos.org/v1/deal-rooms/<string>/action-items/<string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Deal Rooms Controller_delete Action Item

DELETE
/v1/deal-rooms/{id}/action-items/{itemId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
itemIdRequiredstring
curl -X DELETE "https://api.salesos.org/v1/deal-rooms/<string>/action-items/<string>" \
  -H "Authorization: Bearer <token>"

Deal Rooms Controller_add Document

POST
/v1/deal-rooms/{id}/documents

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/deal-rooms/<string>/documents" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Deal Rooms Controller_delete Document

DELETE
/v1/deal-rooms/{id}/documents/{docId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
docIdRequiredstring
curl -X DELETE "https://api.salesos.org/v1/deal-rooms/<string>/documents/<string>" \
  -H "Authorization: Bearer <token>"

Deal Rooms Controller_track Document View

POST
/v1/deal-rooms/{id}/documents/{docId}/view

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
docIdRequiredstring
curl -X POST "https://api.salesos.org/v1/deal-rooms/<string>/documents/<string>/view" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Deal Rooms Controller_add Stakeholder

POST
/v1/deal-rooms/{id}/stakeholders

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/deal-rooms/<string>/stakeholders" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Deal Rooms Controller_remove Stakeholder

DELETE
/v1/deal-rooms/{id}/stakeholders/{stakeholderId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
stakeholderIdRequiredstring
curl -X DELETE "https://api.salesos.org/v1/deal-rooms/<string>/stakeholders/<string>" \
  -H "Authorization: Bearer <token>"

Deal Rooms Controller_get Timeline

GET
/v1/deal-rooms/{id}/timeline

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/deal-rooms/<string>/timeline" \
  -H "Authorization: Bearer <token>"

Deal Rooms Controller_add Note

POST
/v1/deal-rooms/{id}/notes

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/deal-rooms/<string>/notes" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Deal Rooms Controller_delete Note

DELETE
/v1/deal-rooms/{id}/notes/{noteId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
noteIdRequiredstring
curl -X DELETE "https://api.salesos.org/v1/deal-rooms/<string>/notes/<string>" \
  -H "Authorization: Bearer <token>"